Memos
User Service

Batch Get Users

BatchGetUsers returns active users by usernames.

POST
/api/v1/users:batchGet

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

usernames?array<string>

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/users:batchGet" \  -H "Content-Type: application/json" \  -d '{}'
{
  "users": [
    {
      "name": "string",
      "role": "ROLE_UNSPECIFIED",
      "username": "string",
      "email": "string",
      "displayName": "string",
      "avatarUrl": "string",
      "description": "string",
      "password": "string",
      "state": "STATE_UNSPECIFIED",
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings